<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>io.finarkein.fiu</groupId>
        <artifactId>fiul-service-notification</artifactId>
        <version>0.7.2</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>fiul-notification-callback-core</artifactId>

    <properties>
    </properties>

    <dependencies>
        <dependency>
            <groupId>io.finarkein.fiu</groupId>
            <artifactId>fiul-notification-core</artifactId>
        </dependency>
        <dependency>
            <groupId>jakarta.persistence</groupId>
            <artifactId>jakarta.persistence-api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-webflux</artifactId>
        </dependency>
        <dependency>
            <groupId>io.projectreactor.netty</groupId>
            <artifactId>reactor-netty</artifactId>
        </dependency>
        <dependency>
            <groupId>io.finarkein.auth</groupId>
            <artifactId>finarkein-auth-oauth2</artifactId>
            <version>0.3.0</version>
        </dependency>
        <dependency>
            <groupId>io.finarkein.aa</groupId>
            <artifactId>aa-webclient-core</artifactId>
        </dependency>
        <dependency>
            <groupId>com.vladmihalcea</groupId>
            <artifactId>hibernate-types-52</artifactId>
            <version>2.14.0</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
        </dependency>
    </dependencies>
</project>